﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Benday.EfCore.Api;

namespace Benday.EfCore.WebUi.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            using (var context = new MyDbContext())
            {
                return View(context.Persons.ToList());
            }
        }

        public IActionResult Create()
        {
            var temp = new Person();

            var ticks = DateTime.Now.Ticks.ToString();

            temp.FirstName = "fn_" + ticks;
            temp.LastName = "ln_" + ticks;
            temp.Status = "status_" + ticks;

            using (var context = new MyDbContext())
            {
                context.Persons.Add(temp);
                context.SaveChanges();
            }

            return RedirectToAction("Index");
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
