using Benday.EfCore.Api;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Benday.EfCore.Tests
{
    [TestClass]
    public class PersonDbContextFixture
    {
        [TestMethod]
        public void CreatePerson()
        {
            var person = new Person();

            person.FirstName = "Joey";
            person.LastName = "Shabadoo";
            person.Status = "Awesome";

            Assert.AreEqual<int>(0, person.Id, "Id should be zero before save.");

            using (var context = new MyDbContext())
            {
                context.Persons.Add(person);

                context.SaveChanges();
            }

            Assert.AreNotEqual<int>(0, person.Id, "Id should not be zero after save.");
        }
    }
}
